# Explanation
These pages provide additional detail about a number of aspects related to using Mir.

- [Architecture](architecture.md): an overview of Mir's architecture for contributors
- [Libraries](libraries.md): an overview of Mir's libraries and how they depend on one another
- [Graphics support](mir-graphics-support.md): what's required to run Mir compositors
- [Security](security.md): a deep dive into the security aspects of Mir compositors
- [Performance](performance.md): a discussion of the performance aspects of Mir compositors
- [Energy efficiency](energy-efficiency.md): a deep dive into the security aspects of Mir compositors
- [What is Wayland anyway?](ok-so-what-is-this-wayland-thing-anyway.md): so what is it?
- [Windowing paradigms](window-positions-under-wayland.md): how are windows managed?
- [Component reports](component_reports.md): information on Mir's debug and performance reporting infrastructure

```{toctree}
:hidden:

architecture.md
libraries.md
mir-graphics-support.md
security.md
performance.md
energy-efficiency.md
ok-so-what-is-this-wayland-thing-anyway.md
window-positions-under-wayland.md
component_reports.md
```
